petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerASCIIGetPointer

Extracts the file pointer from an ASCII PetscViewer.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIGetPointer(PetscViewer viewer,FILE **fd)

Not Collective, depending on the viewer the value may be meaningless except for process 0 of the viewer

### Input Parameter

viewer -PetscViewer context, obtained from PetscViewerASCIIOpen()

### Output Parameter

fd -file pointer

Notes: for the standard PETSCVIEWERASCII the value is valid only on process 0 of the viewer

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscViewerASCIIOpen(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerCreate(), PetscViewerASCIIPrintf(),
PetscViewerASCIISynchronizedPrintf(), PetscViewerFlush()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages